# $Revision: 1.28 $, $Date: 2012/06/09 09:43:50 $
%define		status		beta
%define		modname		translit
Summary:	%{modname} - transliterates non-latin character sets to latin
Summary(pl.UTF-8):	%{modname} - translitacja alfabetów niełacińskich do łacińskiego
Name:		php-pecl-%{modname}
Version:	0.6.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	67bdee44c3dbcc3ab7ee39329da8e010
URL:		http://pecl.php.net/package/translit/
BuildRequires:	libtool
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Requires:	php-iconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows you to transliterate text in non-latin
characters (such as Chinese, Cyrillic, Greek etc) to latin characters.
Besides the transliteration the extension also contains filters to
upper- and lowercase latin, cyrillic and greek, and perform special
forms of transliteration such as converting ligatures such as the
Norwegian "ae" ligature to separate "ae" characters and normalizing
punctuation and spacing.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie umożliwia transliterację tekstu ze znaków
niełacińskich (takich jak chińskie, cyrilica, greckie) na znaki
łacińskie. Oprócz transliteracji rozszerzenie zawiera także filtry na
wielkie i małe litery łacińskie, cyrylicę i greckie oraz wykonuje
specjalne formy transliteracji, takie jak konwersja ligatur takich jak
norweska ligatura "ae" na oddzielne znaki "ae" oraz normalizacja
znaków przestankowych i odstępów.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-translit.spec,v $
Revision 1.28  2012/06/09 09:43:50  kiesiu
- updated to 0.6.1

Revision 1.27  2011/11/03 06:28:42  glen
- spec unify, remove bogus obsolete: this pkg was never named pear

Revision 1.26  2010/12/11 21:35:13  arekm
- release 6

Revision 1.25  2010/06/02 15:53:47  glen
- release 5

Revision 1.24  2009/04/30 06:27:01  glen
- release 4

Revision 1.23  2009/04/30 06:22:24  glen
- depends on iconv php extension; rel 3

Revision 1.22  2008/12/04 15:14:36  glen
- release 2

Revision 1.21  2008/12/04 15:14:24  glen
- v0.6.0

Revision 1.20  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.18  2007/01/02 20:10:21  glen
- use new php extension related macros

Revision 1.17  2006/12/13 23:45:47  glen
- rel 6 (php 5.2.0)

Revision 1.16  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.15  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.14  2005/10/30 13:29:27  glen
- rel 4

Revision 1.13  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.12  2005/09/14 22:37:15  glen
- rel 2

Revision 1.11  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.10  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.9  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.8  2005/02/05 20:46:04  adamg
- updated to 0.5

Revision 1.7  2004/12/26 00:24:44  adamg
- updated to 0.4

Revision 1.6  2004/11/14 18:06:42  adamg
- updated to 0.3

Revision 1.5  2004/11/10 16:03:23  adamg
- typo in URL

Revision 1.4  2004/11/10 16:01:12  adamg
- updated to 0.2

Revision 1.3  2004/10/30 10:54:23  qboosh
- pl desc, avoid non-ascii in C desc

Revision 1.2  2004/10/30 07:59:38  ankry
- capitalization and pl fixes

Revision 1.1  2004/10/30 06:36:10  adamg
- new
